@rem echo off
SETLOCAL ENABLEEXTENSIONS

SET JS_HOME=%CD%\..\bin

SET JS_EXE=%JS_HOME%\JavaService.exe

IF NOT EXIST "%JS_EXE%" (
echo . JavaService executable %JS_EXE% not found, ensure build process completed successfully
GOTO error_exit
)

SET JSS_JAR=%JS_HOME%\SampleService.jar

IF NOT EXIST "%JSS_JAR%" (
echo . SampleService java application %JSS_HOME% not found, verify Ant build process
GOTO error_exit
)


@rem default Java home if not already set up
IF "%JAVA_HOME%"=="" SET JAVA_HOME=d:\j2sdk1.4.2_07

SET JVM_DLL=%JAVA_HOME%\jre\bin\server\jvm.dll

IF NOT EXIST "%JS_EXE%" (
echo . Java Runtime library %JVM_DLL% not found, check JAVA_HOME definition
GOTO error_exit
)

@echo . Installing 'javaservicetest'
@pause

%JS_EXE% -install javaservicetest %JVM_DLL% -Djava.class.path=%JSS_JAR%;\ -start org.objectweb.javaservice.test.SampleService -params start -out .\stdout.log -err .\stderr.log -current %JS_HOME% -manual

@echo . Verifying 'javaservicetest' installation
@pause

%JS_EXE% -status javaservicetest
%JS_EXE% -config javaservicetest

@echo . Starting 'javaservicetest' in background
@pause

net start javaservicetest

@echo . Stopping 'javaservicetest'
@pause

net stop javaservicetest

@echo . Removing installation of 'javaservicetest'
@pause

%JS_EXE% -uninstall javaservicetest

goto end

:error_exit
@echo .
@echo . Command processing failed
@echo .

:end
ENDLOCAL
@pause
